# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.588.1.4 -> 1.588.1.5
#	drivers/net/irda/irda-usb.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/28	greg@kroah.com	1.588.1.5
# USB irda driver
# 
# removed urb->next usage, as it's not needed and has been removed from the
# urb structure.
# --------------------------------------------
#
diff -Nru a/drivers/net/irda/irda-usb.c b/drivers/net/irda/irda-usb.c
--- a/drivers/net/irda/irda-usb.c	Tue May 28 23:48:48 2002
+++ b/drivers/net/irda/irda-usb.c	Tue May 28 23:48:48 2002
@@ -690,7 +690,6 @@
  * The way I see it is that if we submit more than one Rx URB at a
  * time, the Rx URB can be automatically re-submitted after the
  * completion handler is called.
- * We make sure to disable this feature by setting urb->next to NULL
  *
  * My take is that it's a questionable feature, and quite difficult
  * to control and to make work effectively.
@@ -754,7 +753,6 @@
 	/* Note : unlink *must* be synchronous because of the code in 
 	 * irda_usb_net_close() -> free the skb - Jean II */
 	urb->status = 0;
-	urb->next = NULL;	/* Don't auto resubmit URBs */
 
 	/* Can be called from irda_usb_receive (irq handler) -> GFP_ATOMIC */
 	ret = usb_submit_urb(urb, GFP_ATOMIC);
